package pps.core.space.service.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.space.entity.SpaceInstitutionWellheadView;

import java.util.List;
import java.util.Map;

/**
 * 间开优化数据集
 *
 * @author ZWT
 * @date 2023/09/18 16:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceOptimizeWellheadAndPlant {

    /**
     * 井口列表
     */
    List<SpaceInstitutionWellheadView> spaceWellheadList;

    /**
     * 电站Map
     */
    Map<String, List<String>> plantIdsByLineIdMap;
}
